Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.avi
Class AbstractAVIStream.CompositeChunk

    java.lang.Object
      org.monte.media.avi.AbstractAVIStream.Chunk
          org.monte.media.avi.AbstractAVIStream.CompositeChunk

Enclosing class:
  AbstractAVIStream

    protected class AbstractAVIStream.CompositeChunk

extends AbstractAVIStream.Chunk

A CompositeChunk contains an ordered list of Chunks.

Field Summary
`protected java.util.LinkedList<AbstractAVIStream.Chunk>` | `children`
`protected java.lang.String` | `compositeType` The type of the composite.
`protected boolean` | `finished`

Fields inherited from class org.monte.media.avi.AbstractAVIStream.Chunk
`chunkType, offset`

Constructor Summary
`AbstractAVIStream.CompositeChunk(java.lang.String compositeType, java.lang.String chunkType)` Creates a new CompositeChunk at the current position of the ImageOutputStream.

Method Summary
`void` | `add(AbstractAVIStream.Chunk child)`
`void` | `finish()` Writes the chunk and all its children to the ImageOutputStream and disposes of all resources held by the chunk.
`long` | `size()` Returns the size of the chunk including the size of the chunk header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### compositeType

    protected java.lang.String compositeType

  The type of the composite. A String with the length of 4 characters.

### children

    protected java.util.LinkedList<AbstractAVIStream.Chunk> children

### finished

    protected boolean finished

Constructor Detail

### AbstractAVIStream.CompositeChunk

    public AbstractAVIStream.CompositeChunk(java.lang.String compositeType,
                                            java.lang.String chunkType)
                                     throws java.io.IOException

  Creates a new CompositeChunk at the current position of the ImageOutputStream.

  Parameters:
    `compositeType` - The type of the composite.
    `chunkType` - The type of the chunk.
  Throws:
    `java.io.IOException`

Method Detail

### add

    public void add(AbstractAVIStream.Chunk child)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### finish

    public void finish()
                throws java.io.IOException

  Writes the chunk and all its children to the ImageOutputStream and disposes of all resources held by the chunk.

  Specified by:
    `finish` in class `AbstractAVIStream.Chunk`
  Throws:
    `java.io.IOException`

### size

    public long size()

  Description copied from class: `AbstractAVIStream.Chunk`
  Returns the size of the chunk including the size of the chunk header.

  Specified by:
    `size` in class `AbstractAVIStream.Chunk`
  Returns:
    The size of the chunk.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD